import java.util.Scanner;
public class Main {
    public static void main(String[] args) {
        Scanner sc = new Scanner(System.in);
        int n = sc.nextInt();
        int l = sc.nextInt();
        int[] h = new int[n];
        int res = -1;
        for (int i = 0; i < n; i++) {
            h[i] = sc.nextInt();
        }
        for (int i = 0; i < n; i++) {
            if (l >= h[i]) {
                res = i + 1;
                break;
            }
        }
        System.out.println(res);
    }
}